libgimpprint API Reference: stp_vars struct Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# stp_vars Struct Reference

## Data Fields
char * | driver
char * | color_conversion
int | left
int | top
int | width
int | height
int | page_width
int | page_height
stp_list_t * | params [STP_PARAMETER_TYPE_INVALID]
stp_list_t * | internal_data
void(* | outfunc )(void *data, const char *buffer, size_t bytes)
void * | outdata
void(* | errfunc )(void *data, const char *buffer, size_t bytes)
void * | errdata
int | verified

## Field Documentation

char* stp_vars::color_conversion

| Definition at line 69 of file print-vars.c. Referenced by initialize_standard_vars(), and stp_vars_destroy().

char* stp_vars::driver

| Definition at line 68 of file print-vars.c. Referenced by initialize_standard_vars(), and stp_vars_destroy().

void* stp_vars::errdata

| Definition at line 81 of file print-vars.c.

void(* stp_vars::errfunc)(void *data, const char *buffer, size_t bytes)

int stp_vars::height

| Definition at line 73 of file print-vars.c.

stp_list_t* stp_vars::internal_data

| Definition at line 77 of file print-vars.c. Referenced by initialize_standard_vars(), stp_allocate_component_data(), stp_destroy_component_data(), stp_get_component_data(), stp_vars_copy(), stp_vars_create(), and stp_vars_destroy().

int stp_vars::left

| Definition at line 70 of file print-vars.c.

void* stp_vars::outdata

| Definition at line 79 of file print-vars.c.

void(* stp_vars::outfunc)(void *data, const char *buffer, size_t bytes)

int stp_vars::page_height

| Definition at line 75 of file print-vars.c.

int stp_vars::page_width

| Definition at line 74 of file print-vars.c.

stp_list_t* stp_vars::params[STP_PARAMETER_TYPE_INVALID]

| Definition at line 76 of file print-vars.c. Referenced by check_parameter_generic(), get_parameter_active_generic(), initialize_standard_vars(), set_parameter_active_generic(), stp_clear_boolean_parameter(), stp_clear_dimension_parameter(), stp_clear_float_parameter(), stp_clear_int_parameter(), stp_get_array_parameter(), stp_get_boolean_parameter(), stp_get_curve_parameter(), stp_get_dimension_parameter(), stp_get_file_parameter(), stp_get_float_parameter(), stp_get_int_parameter(), stp_get_raw_parameter(), stp_get_string_parameter(), stp_prune_inactive_options(), stp_set_array_parameter(), stp_set_boolean_parameter(), stp_set_curve_parameter(), stp_set_default_array_parameter(), stp_set_default_boolean_parameter(), stp_set_default_curve_parameter(), stp_set_default_dimension_parameter(), stp_set_default_file_parameter(), stp_set_default_file_parameter_n(), stp_set_default_float_parameter(), stp_set_default_int_parameter(), stp_set_default_raw_parameter(), stp_set_default_string_parameter_n(), stp_set_dimension_parameter(), stp_set_file_parameter(), stp_set_file_parameter_n(), stp_set_float_parameter(), stp_set_int_parameter(), stp_set_raw_parameter(), stp_set_string_parameter_n(), stp_vars_copy(), stp_vars_create(), and stp_vars_destroy().

int stp_vars::top

| Definition at line 71 of file print-vars.c.

int stp_vars::verified

| Definition at line 82 of file print-vars.c. Referenced by stp_get_verified(), and stp_set_verified().

int stp_vars::width

| Definition at line 72 of file print-vars.c.

The documentation for this struct was generated from the following file:

- src/main/print-vars.c